package com.logicbig.example;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class TableGeneratorExample1 {

    public static void main(String[] args) throws Exception {
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("test1");
        EntityManager em = emf.createEntityManager();

        System.out.println("-----------------------\nbefore persisting entities");
        Util.nativeQuery(em, "SELECT * FROM INFORMATION_SCHEMA.SEQUENCES");
        Util.nativeQuery(em, "SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA = 'PUBLIC' ");
        Util.nativeQuery(em, "SELECT * FROM SEQUENCE");
        Util.nativeQuery(em, "SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SEQUENCE'");

        MyEntity1 entity1 = new MyEntity1();
        MyEntity1 entity2 = new MyEntity1();
        MyEntity2 entity3 = new MyEntity2();
        MyEntity2 entity4 = new MyEntity2();
        MyEntity2 entity5 = new MyEntity2();
        em.getTransaction().begin();
        em.persist(entity1);
        em.persist(entity2);
        em.persist(entity3);
        em.persist(entity4);
        em.persist(entity5);
        em.getTransaction().commit();

        System.out.println("-----------------------\nafter persisting entities");
        Util.nativeQuery(em, "SELECT * FROM MyEntity1");
        Util.nativeQuery(em, "SELECT * FROM MyEntity2");
        Util.nativeQuery(em, "SELECT * FROM SEQUENCE");

        em.close();
        emf.close();
    }
}